[26286] in Source-Commits
/svn/athena r25492 - trunk/debathena/scripts/installer
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue May 8 15:59:28 2012
Date: Tue, 8 May 2012 15:59:26 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201205081959.q48JxQbO024514@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2012-05-08 15:59:26 -0400 (Tue, 08 May 2012)
New Revision: 25492
Modified:
trunk/debathena/scripts/installer/install-debathena.beta.sh
Log:
- Wording tweak in beta warning message
- Move PXE test earlier in script
- Don't interact with the user if you're installing cluster
Modified: trunk/debathena/scripts/installer/install-debathena.beta.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.beta.sh 2012-05-08 19:24:57 UTC (rev 25491)
+++ trunk/debathena/scripts/installer/install-debathena.beta.sh 2012-05-08 19:59:26 UTC (rev 25492)
@@ -43,6 +43,11 @@
exit 1
fi
+pxetype=
+if test -f /root/pxe-install-flag ; then
+ pxetype=`head -1 /root/pxe-install-flag`
+fi
+
have_lsbrelease="$(dpkg-query -W -f '${Status}' lsb-release 2>/dev/null)"
if [ "$have_lsbrelease" != "install ok installed" ]; then
echo "The installer requires the 'lsb-release' package to determine"
@@ -67,11 +72,11 @@
;;
precise)
ubuntu=yes
- output "The release you have selected is not fully supported"
+ output "The release you are running ($distro) is not fully supported"
output "and installing Debathena on it is probably a bad idea."
- ask "Are you sure you want to proceed? [y/N] " n
- if [ y != "$answer" ]; then
- exit 1
+ if ! test -f /root/pxe-install-flag; then
+ ask "Are you sure you want to proceed? [y/N] " n
+ [ y != "$answer" ] && exit 1
fi
;;
lenny|intrepid|jaunty|karmic|maverick)
@@ -126,12 +131,9 @@
fi
category=""
-if test -f /root/pxe-install-flag ; then
- pxetype=`head -1 /root/pxe-install-flag`
- if [ cluster = "$pxetype" ] ; then
- category=cluster ;
- echo "PXE cluster install detected, so installing \"cluster\"."
- fi
+if [ cluster = "$pxetype" ] ; then
+ category=cluster ;
+ echo "PXE cluster install detected, so installing \"cluster\"."
fi
while [ standard != "$category" -a login != "$category" -a \
login-graphical != "$category" -a workstation != "$category" -a \